import request from '/@/utils/request';

export function Add(params: object) {
    return request({
        url: '/credit/rule/add',
        method: 'post',
        data: params,
    });
}
export function update(params: object) {
    return request({
        url: '/credit/rule/update',
        method: 'post',
        data: params,
    });
}
export function deleteId(params: string) {
    return request({
        url: '/credit/rule/delete',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        data: params,
    });
}
export function listByClient(params: object) {
    return request({
        url: '/credit/rule/listByClient',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        params,
    })
}
export function listConditionKeys() {
    return request({
        url: '/credit/rule/listConditionKeys',
        method: 'post',
    })
}
